      SUBROUTINE GPINIT(CWX,CWY)
* This was written for sampling data array dutring initialization
*
#include "gprspe.inc"
*
      REAL CWX(NDHIRES,NBINANG),CWY(NDHIRES,NBINANG)
      DO I=1,NBINANG
         DO II=1, NDHIRES
            WX(II,I)=CWX(II,I)
            WY(II,I)=CWY(II,I)
         ENDDO
      ENDDO
            
      DO IK=0,10
         CALL GPRNHPRE(WX(1,IK+1),NDHIRES)
         CALL GPRNHPRE(WY(1,IK+1),NDHIRES)
      ENDDO

      END
